Bug 996739 - no hardening build
no hardening build
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fuse-sshfs (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-13 16:43 EDT by Harald Reindl
Modified: 2013-09-09 19:59 EDT (History)
2 users (show)

See Also:
Fixed In Version: fuse-sshfs-2.4-5.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-09 19:56:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Reindl 2013-08-13 16:43:05 EDT
http://fedoraproject.org/wiki/Packaging:Guidelines#PIE

"If your package meets any of the following criteria you MUST enable the PIE compiler flags: Your package is long running. This means it's likely to be started and keep running until the machine is rebooted, not start on demand and quit on idle" is met on typical worklaods where you mount your sshfs-server in the morning for the rest of the day or on machines running 365/24 have it mounted over days

[root@srv-rhsoft:~]$ hardening-check /usr/bin/sshfs
/usr/bin/sshfs:
 Position Independent Executable: no, normal executable!
 Stack protected: yes
 Fortify Source functions: yes (some protected functions found)
 Read-only relocations: yes
 Immediate binding: no, not found!
Comment 1 Fedora Update System 2013-09-01 08:09:37 EDT
fuse-sshfs-2.4-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/fuse-sshfs-2.4-5.fc18
Comment 2 Fedora Update System 2013-09-01 08:09:45 EDT
fuse-sshfs-2.4-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fuse-sshfs-2.4-5.fc19
Comment 3 Fedora Update System 2013-09-01 18:58:29 EDT
Package fuse-sshfs-2.4-5.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fuse-sshfs-2.4-5.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15612/fuse-sshfs-2.4-5.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-09-09 19:56:42 EDT
fuse-sshfs-2.4-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-09-09 19:59:22 EDT
fuse-sshfs-2.4-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.